OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
InternalNode< ChildT, Log2Dim >::ValueOnIterator Class Reference

Visits active tile values of this node only. More...

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for InternalNode< ChildT, Log2Dim >::ValueOnIterator:

## Public Member Functions
| ValueOnIterator ()
| ValueOnIterator (const InternalNode *parent)
ValueOnIterator & | operator= (const ValueOnIterator &)=default
ValueType | operator* () const
CoordType | getOrigin () const
CoordType | getCoord () const

## Detailed Description

template<typename ChildT, uint32_t Log2Dim = ChildT::LOG2DIM + 1>
class nanovdb::InternalNode< ChildT, Log2Dim >::ValueOnIterator

Visits active tile values of this node only.

## Constructor & Destructor Documentation

## ◆ ValueOnIterator() [1/2]

template<typename ChildT , uint32_t Log2Dim = ChildT::LOG2DIM + 1>

ValueOnIterator | ( |  | ) |
| inline

## ◆ ValueOnIterator() [2/2]

template<typename ChildT , uint32_t Log2Dim = ChildT::LOG2DIM + 1>

ValueOnIterator | ( | const InternalNode * | parent | ) |
| inline

## Member Function Documentation

## ◆ getCoord()

template<typename ChildT , uint32_t Log2Dim = ChildT::LOG2DIM + 1>

CoordType getCoord | ( |  | ) | const
| inline

## ◆ getOrigin()

template<typename ChildT , uint32_t Log2Dim = ChildT::LOG2DIM + 1>

CoordType getOrigin | ( |  | ) | const
| inline

## ◆ operator*()

template<typename ChildT , uint32_t Log2Dim = ChildT::LOG2DIM + 1>

ValueType operator* | ( |  | ) | const
| inline

## ◆ operator=()

template<typename ChildT , uint32_t Log2Dim = ChildT::LOG2DIM + 1>

ValueOnIterator & operator= | ( | const ValueOnIterator & |  | ) |
| default